mod database;
mod delete;
mod expr;
mod ident;
mod insert;
mod path;
mod primary_key;
mod select;
mod stmt;
mod table;
mod ty;

pub use database::*;
pub use delete::*;
pub use expr::*;
pub use ident::*;
pub use insert::*;
pub use path::*;
pub use primary_key::*;
pub use select::*;
pub use stmt::*;
pub use table::*;
pub use ty::*;

use crate::{Parser, lexer::Token};

impl Parser<'_> {
    fn maybe_skip_comma(&mut self) {
        if self.lexer.peek().token == Token::Comma {
            self.lexer.advance();
        }
    }
}
